import { Observable } from 'rxjs';
import { TransferState } from '@angular/platform-browser';
import { HttpResponse, HttpClient } from '@angular/common/http';
import { IDocumentTask } from './document-task.model';
import { Annotation, IAnnotation, IAnnotationSet } from './annotation-set.model';
import { EmLoggerService } from '../logging/em-logger.service';
export declare class ApiHttpService {
    private log;
    private httpClient;
    private platformId;
    private transferState;
    private baseUrl;
    constructor(log: EmLoggerService, httpClient: HttpClient, platformId: any, transferState: TransferState);
    setBaseUrl(baseUrl: string): void;
    getBaseUrl(): string;
    createAnnotationSet(baseUrl: any, body: any): Observable<HttpResponse<IAnnotationSet>>;
    fetch(baseUrl: any, dmDocumentId: any): Observable<HttpResponse<IAnnotationSet>>;
    documentTask(dmDocumentId: any, outputDmDocumentId: any, baseUrl: string): Observable<HttpResponse<IDocumentTask>>;
    deleteAnnotation(annotation: Annotation): Observable<HttpResponse<IAnnotation>>;
    saveAnnotation(annotation: Annotation): Observable<HttpResponse<IAnnotation>>;
}
